/*-------------------- BEGIN globchem_cu_integrate.h BEGIN --------------------*/
/* @file globchem_cu_integrate.h                                               */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:01.767075                                            */
/* @brief Interface to time stepping integrator                                */
/*                                                                             */
/* Definitions of interface functions for the Kppa-generated                   */
/* time stepping integrator.  These are the Kppa "entry point" routines.       */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_CU_INTEGRATE_H__
#define __GLOBCHEM_CU_INTEGRATE_H__



#ifdef __cplusplus
extern "C" {
#endif


/*------------------------------- GridIntegrate -------------------------------*/
/* Applies the Kppa-generated integrator to the grid                           */
/*                                                                             */
/* @param[in]     ncells Number of grid cells                                  */
/* @param[in,out] conc   Species concentrations                                */
/* @param[in]     tstart Integration start time                                */
/* @param[in]     tend   Integration end time                                  */
/* @param[in]     abstol Absolute integration tolerances for variable species  */
/* @param[in]     reltol Relative integration tolerances for variable species  */
/* @param[in,out] idata  Integer integration in/out parameters                 */
/* @param[in,out] rdata  Real value integration in/out parameters              */
/* @param[out]    lastH  Last timestep in each grid cell                       */
/*-----------------------------------------------------------------------------*/
int GridIntegrate(size_t const ncells, double conc[], double const tstart,
    double const tend, double const  abstol[NVAR], double const
    reltol[NVAR], int idata[20], double rdata[20], double lastH[/* ncells
    */]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_CU_INTEGRATE_H__ */
/*---------------------- END globchem_cu_integrate.h END ----------------------*/
