/*----------------------- BEGIN globchem_decomp.h BEGIN -----------------------*/
/* @file globchem_decomp.h                                                     */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:02.014870                                            */
/* @brief LU decomposition of the row-compressed sparse Jacobian               */
/*                                                                             */
/* LU decomposition of the row-compressed sparse Jacobian                      */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_DECOMP_H__
#define __GLOBCHEM_DECOMP_H__



#ifdef __cplusplus
extern "C" {
#endif


/*----------------------------------- Decomp ----------------------------------*/
/* In-place sparse LU decomposition                                            */
/*                                                                             */
/* @param[in]     ncells32 A multiple of 32 grid cells                         */
/* @param[in,out] d_A      Row-compressed matrix with zero fill in device memory */
/*-----------------------------------------------------------------------------*/
int Decomp(size_t const ncells32, double* d_A);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_DECOMP_H__ */
/*------------------------- END globchem_decomp.h END -------------------------*/
