/*---------------------- BEGIN globchem_function.h BEGIN ----------------------*/
/* @file globchem_function.h                                                   */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:02.000971                                            */
/* @brief The ODE function of the chemical model                               */
/*                                                                             */
/* The ODE function of the chemical model                                      */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_FUNCTION_H__
#define __GLOBCHEM_FUNCTION_H__



#ifdef __cplusplus
extern "C" {
#endif


/*------------------------------------ Fun ------------------------------------*/
/* The ODE function of the chemical model                                      */
/*                                                                             */
/* @param[in]     ncells32  A multiple of 32 grid cells                        */
/* @param[in]     d_var     Variable species concentrations in device memory   */
/* @param[in]     d_fix     Fixed species concentrations in device memory      */
/* @param[in]     d_rct     Reaction rates in device memory                    */
/* @param[out]    d_vardot  The ODE function in device memory                  */
/* @param[in,out] d_scratch Scratch device memory                              */
/*-----------------------------------------------------------------------------*/
void Fun(size_t const ncells32, double const * d_var, double const * d_fix,
    double const * d_rct, double* d_vardot, double* d_scratch);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_FUNCTION_H__ */
/*------------------------ END globchem_function.h END ------------------------*/
