!-------------------- BEGIN globchem_initialize.f90 BEGIN --------------------
! @file globchem_initialize.f90                                               
! @author jlinford                                                            
! @date 2014-09-23 10:48:06.421181                                            
! @brief Species concentration initialization                                 
!                                                                             
! Species concentration initialization                                        
!                                                                             
! This file was generated by Kppa: http://www.paratools.com/Kppa              
!-----------------------------------------------------------------------------


MODULE globchem_initialize

  USE globchem_parameters

  IMPLICIT NONE





  CONTAINS

!--------------------------------- Initialize --------------------------------
! Species concentration initialization.                                       
! Concentrations are usually supplied by the model from input data            
! or other calculations, not specified directly as done here.                 
!                                                                             
! @param[in,out] var Variable species concentrations                          
! @param[in,out] fix Fixed species concentrations                             
!-----------------------------------------------------------------------------
  SUBROUTINE Initialize(idx, var, fix)
    USE globchem_gcdata
    IMPLICIT NONE

    INTEGER, INTENT(IN) :: idx
    REAL(8), INTENT(INOUT) :: var(NVAR)
    REAL(8), INTENT(INOUT) :: fix(NFIX)

    var = GC_VAR(1:NVAR,idx)
    fix = GC_FIX(1:NFIX,idx)

  END SUBROUTINE Initialize


END MODULE globchem_initialize
!---------------------- END globchem_initialize.f90 END ----------------------
