/*---------------------- BEGIN globchem_jacobian.h BEGIN ----------------------*/
/* @file globchem_jacobian.h                                                   */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:02.806379                                            */
/* @brief The Jacobian of the chemical model                                   */
/*                                                                             */
/* The Jacobian of the chemical model                                          */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_JACOBIAN_H__
#define __GLOBCHEM_JACOBIAN_H__



#ifdef __cplusplus
extern "C" {
#endif


/*------------------------------------ Jac ------------------------------------*/
/* The Jacobian of variable species                                            */
/*                                                                             */
/* @param[in]     ncells32  A multiple of 32 grid cells                        */
/* @param[in]     d_var     Variable species concentrations in device memory   */
/* @param[in]     d_fix     Fixed species concentrations in device memory      */
/* @param[in]     d_rct     Reaction rates in device memory                    */
/* @param[out]    d_sjac    The row-compressed sparse Jacobian in device memory */
/* @param[in,out] d_scratch Scratch device memory                              */
/*-----------------------------------------------------------------------------*/
void Jac(size_t const ncells32, double const * d_var, double const * d_fix,
    double const * d_rct, double* d_sjac, double* d_scratch);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_JACOBIAN_H__ */
/*------------------------ END globchem_jacobian.h END ------------------------*/
