!---------------------- BEGIN globchem_monitor.f90 BEGIN ---------------------
! @file globchem_monitor.f90                                                  
! @author jlinford                                                            
! @date 2014-09-24 15:52:02.886317                                            
! @brief Mechanism monitoring                                                 
!                                                                             
! Species names, equations, etc.                                              
!                                                                             
! This file was generated by Kppa: http://www.paratools.com/Kppa              
!-----------------------------------------------------------------------------


MODULE globchem_monitor

  USE globchem_parameters

  IMPLICIT NONE



!-----------------------------------------------------------------------------
! Array dimensions                                                            
!-----------------------------------------------------------------------------

  ! Number of species on the LOOKAT list 
  INTEGER, PARAMETER :: NLOOKAT = 184

  ! Number of species on the MONITOR list 
  INTEGER, PARAMETER :: NMONITOR = 0

!-----------------------------------------------------------------------------
! Species indices arrays                                                      
!-----------------------------------------------------------------------------

  ! Indices of species concentrations sent to data file 
  INTEGER, PARAMETER :: ILOOKAT(NLOOKAT) = (/ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, &
      11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, &
      29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, &
      47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, &
      65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, &
      83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, &
      100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, &
      114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, &
      128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, &
      142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, &
      156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, &
      170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, &
      184 /)

!-----------------------------------------------------------------------------
! Mechanism information                                                       
!-----------------------------------------------------------------------------

  ! Species names 
  CHARACTER(LEN=9), PARAMETER :: SPC_NAMES(NSPEC) = (/ &
      'DRYACET  ', &
      'DRYCH2O  ', &
      'DRYH2O2  ', &
      'DRYHNO3  ', &
      'DRYN2O5  ', &
      'DRYNO2   ', &
      'DRYO3    ', &
      'DRYPAN   ', &
      'DRYPMN   ', &
      'DRYPMNN  ', &
      'DRYPPN   ', &
      'DRYR4N2  ', &
      'DRYMVK   ', &
      'DRYMACR  ', &
      'DRYHAC   ', &
      'DRYALD2  ', &
      'MSA      ', &
      'LISOPOH  ', &
      'DRYHOBr  ', &
      'DRYHBr   ', &
      'DRYBrNO3 ', &
      'DRYBr2   ', &
      'PYAC     ', &
      'DRYISOPND', &
      'DRYISOPNB', &
      'DRYRIP   ', &
      'DRYIEPOX ', &
      'DRYMACRN ', &
      'DRYMVKN  ', &
      'DRYPROPNN', &
      'DRYHCOOH ', &
      'DRYACTA  ', &
      'DRYHCl   ', &
      'CO2      ', &
      'DRYDEP   ', &
      'CH3CCl3  ', &
      'PPN      ', &
      'SO4      ', &
      'BrNO2    ', &
      'IEPOX    ', &
      'PMNN     ', &
      'CCl4     ', &
      'CFC11    ', &
      'CFC12    ', &
      'CFC113   ', &
      'CFC114   ', &
      'CFC115   ', &
      'H1301    ', &
      'H2402    ', &
      'N2O      ', &
      'H1211    ', &
      'PAN      ', &
      'OCS      ', &
      'SO2      ', &
      'N        ', &
      'ALK4     ', &
      'MAP      ', &
      'CHBr3    ', &
      'CH2Br2   ', &
      'MPN      ', &
      'Cl2O2    ', &
      'RA3P     ', &
      'RB3P     ', &
      'DMS      ', &
      'OClO     ', &
      'ClNO2    ', &
      'HCFC22   ', &
      'HCFC123  ', &
      'HCFC141b ', &
      'HCFC142b ', &
      'C3H8     ', &
      'ETP      ', &
      'HNO2     ', &
      'CH3Br    ', &
      'CH3Cl    ', &
      'ClOO     ', &
      'MP       ', &
      'MAOP     ', &
      'HNO4     ', &
      'BrCl     ', &
      'RP       ', &
      'Br2      ', &
      'ETHLN    ', &
      'PRPN     ', &
      'PP       ', &
      'MRP      ', &
      'R4P      ', &
      'ATOOH    ', &
      'RIP      ', &
      'C2H6     ', &
      'VRP      ', &
      'IAP      ', &
      'DHMOB    ', &
      'MOBA     ', &
      'N2O5     ', &
      'INPN     ', &
      'ISNP     ', &
      'ISOPNB   ', &
      'CH4      ', &
      'H2O2     ', &
      'IEPOXOO  ', &
      'MACRNO2  ', &
      'PMN      ', &
      'MOBAOO   ', &
      'ROH      ', &
      'DIBOO    ', &
      'PRPE     ', &
      'MVKN     ', &
      'BrNO3    ', &
      'H        ', &
      'Cl2      ', &
      'ISNOHOO  ', &
      'ISOP     ', &
      'PROPNN   ', &
      'ISNOOB   ', &
      'HOBr     ', &
      'A3O2     ', &
      'CO       ', &
      'GLYC     ', &
      'MACRN    ', &
      'MAOPO2   ', &
      'ISOPND   ', &
      'MRO2     ', &
      'VRO2     ', &
      'ACET     ', &
      'HC5      ', &
      'GLYX     ', &
      'ISNOOA   ', &
      'MAN2     ', &
      'PRN1     ', &
      'PO2      ', &
      'MGLY     ', &
      'B3O2     ', &
      'ETO2     ', &
      'RCO3     ', &
      'ClNO3    ', &
      'KO2      ', &
      'R4N1     ', &
      'HOCl     ', &
      'ISN1     ', &
      'HAC      ', &
      'HNO3     ', &
      'ATO2     ', &
      'HC5OO    ', &
      'MVK      ', &
      'RIO2     ', &
      'MAO3     ', &
      'INO2     ', &
      'MACR     ', &
      'ISOPNBO2 ', &
      'ISOPNDO2 ', &
      'R4O2     ', &
      'RCHO     ', &
      'MEK      ', &
      'R4N2     ', &
      'MCO3     ', &
      'ALD2     ', &
      'CH2O     ', &
      'MO2      ', &
      'NO       ', &
      'H2O      ', &
      'HO2      ', &
      'NO2      ', &
      'Br       ', &
      'HCl      ', &
      'ClO      ', &
      'HBr      ', &
      'Cl       ', &
      'O3       ', &
      'BrO      ', &
      'NO3      ', &
      'O1D      ', &
      'OH       ', &
      'O        ', &
      'ACTA     ', &
      'EMISSION ', &
      'EOH      ', &
      'H2       ', &
      'HCOOH    ', &
      'MOH      ', &
      'N2       ', &
      'O2       ', &
      'RCOOH    ', &
      'KPP_DUMMY'  /)

  ! Equations 
  CHARACTER(LEN=105), PARAMETER :: EQN_NAMES(NREACT) = (/ &
      'O3 + NO --> NO2 + O2                                     &
      &                                                ', &
      'O3 + OH --> HO2 + O2                                     &
      &                                                ', &
      'O3 + HO2 --> OH + O2 + O2                                &
      &                                                ', &
      'O3 + NO2 --> O2 + NO3                                    &
      &                                                ', &
      'O3 + MO2 --> CH2O + HO2 + O2                             &
      &                                                ', &
      'OH + OH --> H2O + O                                      &
      &                                                ', &
      'OH + OH + hv --> H2O2                                    &
      &                                                ', &
      'OH + HO2 --> H2O + O2                                    &
      &                                                ', &
      'OH + H2O2 --> H2O + HO2                                  &
      &                                                ', &
      'HO2 + NO --> OH + NO2                                    &
      &                                                ', &
      'HO2 + HO2 --> H2O2 + O2                                  &
      &                                                ', &
      'CO + OH --> HO2 + CO2                                    &
      &                                                ', &
      'OH + CH4 --> MO2 + H2O                                   &
      &                                                ', &
      'MO2 + NO --> CH2O + HO2 + NO2                            &
      &                                                ', &
      'MO2 + HO2 --> MP + O2                                    &
      &                                                ', &
      'MO2 + MO2 --> MOH + CH2O + O2                            &
      &                                                ', &
      'MO2 + MO2 --> 2.000 CH2O + 2.000 HO2                     &
      &                                                ', &
      'MP + OH --> MO2 + H2O                                    &
      &                                                ', &
      'MP + OH --> CH2O + OH + H2O                              &
      &                                                ', &
      'ATOOH + OH --> ATO2 + H2O                                &
      &                                                ', &
      'ATOOH + OH --> MGLY + OH + H2O                           &
      &                                                ', &
      'CH2O + OH --> CO + HO2 + H2O                             &
      &                                                ', &
      'NO2 + OH + hv --> HNO3 + hv                              &
      &                                                ', &
      'HNO3 + OH --> H2O + NO3                                  &
      &                                                ', &
      'NO + OH + hv --> HNO2 + hv                               &
      &                                                ', &
      'HNO2 + OH --> H2O + NO2                                  &
      &                                                ', &
      'HO2 + NO2 + hv --> HNO4 + hv                             &
      &                                                ', &
      'HNO4 + hv --> HO2 + NO2                                  &
      &                                                ', &
      'HNO4 + OH --> H2O + NO2 + O2                             &
      &                                                ', &
      'HO2 + NO3 --> OH + NO2 + O2                              &
      &                                                ', &
      'NO + NO3 --> 2.000 NO2                                   &
      &                                                ', &
      'OH + NO3 --> HO2 + NO2                                   &
      &                                                ', &
      'NO2 + NO3 + hv --> N2O5 + hv                             &
      &                                                ', &
      'N2O5 + hv --> NO2 + NO3                                  &
      &                                                ', &
      'HCOOH + OH --> H2O + CO2 + HO2                           &
      &                                                ', &
      'MOH + OH --> HO2 + CH2O                                  &
      &                                                ', &
      'NO2 + NO3 --> NO + NO2 + O2                              &
      &                                                ', &
      'NO3 + CH2O --> HNO3 + HO2 + CO                           &
      &                                                ', &
      'ALD2 + OH --> MCO3 + CH2O + CO + HO2 + H2O               &
      &                                                ', &
      'ALD2 + NO3 --> HNO3 + MCO3                               &
      &                                                ', &
      'MCO3 + NO2 + hv --> PAN                                  &
      &                                                ', &
      'PAN --> MCO3 + NO2                                       &
      &                                                ', &
      'MCO3 + NO --> MO2 + NO2 + CO2                            &
      &                                                ', &
      'C2H6 + OH --> ETO2 + H2O                                 &
      &                                                ', &
      'ETO2 + NO --> ALD2 + NO2 + HO2                           &
      &                                                ', &
      'C3H8 + OH --> B3O2                                       &
      &                                                ', &
      'C3H8 + OH --> A3O2                                       &
      &                                                ', &
      'A3O2 + NO --> NO2 + HO2 + RCHO                           &
      &                                                ', &
      'PO2 + NO --> NO2 + HO2 + CH2O + ALD2                     &
      &                                                ', &
      'ALK4 + OH --> R4O2                                       &
      &                                                ', &
      'R4O2 + NO --> NO2 + ACET + MEK + MO2 + HO2 + ALD2 + RCHO &
      &+ A3O2 + B3O2 + ETO2                            ', &
      'R4O2 + NO --> R4N2                                       &
      &                                                ', &
      'R4N1 + NO --> 2.000 NO2 + CH2O + ALD2 + RCHO + R4O2      &
      &                                                ', &
      'ATO2 + NO --> NO2 + CH2O + MCO3 + R4N2                   &
      &                                                ', &
      'KO2 + NO --> NO2 + ALD2 + MCO3 + R4N2                    &
      &                                                ', &
      'RIO2 + NO --> NO2 + HO2 + CH2O + MVK + MACR + ISOPND + IS&
      &OPNB + HC5 + DIBOO                              ', &
      'RIO2 --> 2.000 HO2 + CH2O + MGLY + GLYC + GLYX + HAC + OH&
      &                                                ', &
      'VRO2 + NO --> NO2 + HO2 + CH2O + MCO3 + GLYC + MGLY + MVK&
      &N                                               ', &
      'MRO2 + NO --> NO2 + HO2 + MGLY + HAC + CO + CH2O + MACRN &
      &                                                ', &
      'MRO2 --> CO + HAC + OH                                   &
      &                                                ', &
      'MAN2 + NO --> 1.500 NO2 + CH2O + MGLY + PROPNN + CO + OH &
      &                                                ', &
      'B3O2 + NO --> NO2 + HO2 + ACET                           &
      &                                                ', &
      'INO2 + NO --> 1.300 NO2 + HO2 + ISN1 + HC5 + MACR + CH2O &
      &+ MVK                                           ', &
      'INO2 + NO3 --> 1.300 NO2 + HO2 + ISN1 + HC5 + MACR + CH2O&
      & + MVK                                          ', &
      'ISN1 + NO3 --> ISNOOA + ISNOOB + HNO3                    &
      &                                                ', &
      'ISNOOA + NO3 --> NO2 + R4N2 + CO + HO2                   &
      &                                                ', &
      'ISNOOA + NO --> NO2 + R4N2 + CO + HO2                    &
      &                                                ', &
      'ISNOOA + NO2 --> PMN                                     &
      &                                                ', &
      'ISNOOA + HO2 --> RP + RCOOH + O3                         &
      &                                                ', &
      'ISNOOB + NO3 --> R4N2 + GLYX + NO2 + NO2                 &
      &                                                ', &
      'ISNOOB + NO --> R4N2 + GLYX + NO2 + NO2                  &
      &                                                ', &
      'ISNOOB + HO2 --> INPN                                    &
      &                                                ', &
      'ISNOOB + MO2 --> R4N2 + GLYX + NO2 + CH2O + MOH + HO2 + C&
      &H2O                                             ', &
      'ISN1 + O3 --> R4N2 + GLYX + NO2 + CH2O + MOH + HO2 + CH2O&
      &                                                ', &
      'ISN1 + OH --> ISNOOA + ISNOHOO                           &
      &                                                ', &
      'ISNOHOO + NO --> R4N2 + HO2 + GLYX                       &
      &                                                ', &
      'ISNOHOO + HO2 --> INPN                                   &
      &                                                ', &
      'ISNOHOO + MO2 --> R4N2 + GLYX + HO2 + CH2O + MOH + CH2O +&
      & HO2                                            ', &
      'INO2 + INO2 --> NO2 + HO2 + ISN1 + HC5 + MACR + CH2O + MV&
      &K + ISN1 + ISOPND                               ', &
      'PRN1 + NO --> 2.000 NO2 + CH2O + ALD2                    &
      &                                                ', &
      'ALK4 + NO3 --> HNO3 + R4O2                               &
      &                                                ', &
      'R4N2 + OH --> R4N1 + H2O                                 &
      &                                                ', &
      'ACTA + OH --> MO2 + CO2 + H2O                            &
      &                                                ', &
      'OH + RCHO --> RCO3 + H2O                                 &
      &                                                ', &
      'RCO3 + NO2 + hv --> PPN                                  &
      &                                                ', &
      'PPN --> RCO3 + NO2                                       &
      &                                                ', &
      'MAO3 + NO2 + hv --> PMN                                  &
      &                                                ', &
      'PMN --> MAO3 + NO2                                       &
      &                                                ', &
      'RCO3 + NO --> NO2 + ETO2                                 &
      &                                                ', &
      'MAO3 + NO --> NO2 + CH2O + CO + CO2 + MO2 + MCO3         &
      &                                                ', &
      'RCHO + NO3 --> HNO3 + RCO3                               &
      &                                                ', &
      'ACET + OH --> ATO2 + H2O                                 &
      &                                                ', &
      'ACET + OH --> ATO2 + H2O                                 &
      &                                                ', &
      'A3O2 + MO2 --> HO2 + CH2O + RCHO + MOH + ROH             &
      &                                                ', &
      'PO2 + MO2 --> HO2 + ALD2 + 1.250 CH2O + HAC + RCHO + MOH &
      &+ ROH                                           ', &
      'R4O2 + HO2 --> R4P                                       &
      &                                                ', &
      'R4N1 + HO2 --> R4N2                                      &
      &                                                ', &
      'ATO2 + HO2 --> MCO3 + OH + CH2O + ATOOH                  &
      &                                                ', &
      'KO2 + HO2 --> OH + ALD2 + MCO3 + ATOOH                   &
      &                                                ', &
      'RIO2 + HO2 --> RIP + OH + MACR + MVK + HO2 + CH2O        &
      &                                                ', &
      'VRO2 + HO2 --> VRP + OH + GLYC + MCO3 + MEK + HO2 + CH2O &
      &+ MGLY + RCHO                                   ', &
      'MRO2 + HO2 --> MRP                                       &
      &                                                ', &
      'MAN2 + HO2 --> PROPNN + CO + HO2 + MGLY + CH2O + NO2 + OH&
      & + ISNP                                         ', &
      'B3O2 + HO2 --> RB3P                                      &
      &                                                ', &
      'INO2 + HO2 --> INPN                                      &
      &                                                ', &
      'PRN1 + HO2 --> PRPN                                      &
      &                                                ', &
      'MEK + OH --> KO2 + H2O                                   &
      &                                                ', &
      'MO2 + ETO2 --> CH2O + ALD2 + HO2 + MOH + EOH             &
      &                                                ', &
      'MEK + NO3 --> HNO3 + KO2                                 &
      &                                                ', &
      'R4O2 + MO2 --> ACET + MEK + MO2 + HO2 + ALD2 + RCHO + A3O&
      &2 + B3O2 + ETO2 + MEK + CH2O + MOH + ROH + HO2  ', &
      'R4N1 + MO2 --> NO2 + CH2O + ALD2 + RCHO + R4O2 + RCHO + C&
      &H2O + MOH + ROH + HO2                           ', &
      'ATO2 + MO2 --> HO2 + CH2O + MCO3 + HAC + CH2O + MGLY + MO&
      &H                                               ', &
      'KO2 + MO2 --> ALD2 + MCO3 + MEK + CH2O + MOH + ROH + HO2 &
      &                                                ', &
      'RIO2 + MO2 --> 1.100 HO2 + 1.220 CH2O + MVK + MACR + HC5 &
      &+ MOH + ROH                                     ', &
      'RIO2 + RIO2 --> 1.280 HO2 + CH2O + MVK + MACR + ROH + HC5&
      &                                                ', &
      'HC5OO + MO2 --> HO2 + CO + H2 + HAC + GLYC + MGLY + MEK +&
      & CH2O + MOH + ROH + HO2                         ', &
      'VRO2 + MO2 --> HO2 + CH2O + MCO3 + GLYC + MGLY + MEK + CH&
      &2O + MOH + ROH + HO2                            ', &
      'MRO2 + MO2 --> HAC + MGLY + CO + 1.255 CH2O + 1.700 HO2 +&
      & ROH                                            ', &
      'MAN2 + MO2 --> PROPNN + CO + HO2 + MGLY + CH2O + NO2 + CH&
      &2O + R4N2                                       ', &
      'B3O2 + MO2 --> HO2 + ACET + ACET + CH2O + MOH + ROH + HO2&
      &                                                ', &
      'INO2 + MO2 --> NO2 + HO2 + ISN1 + CH2O + MACR + MVK + HC5&
      & + ISN1 + ISOPND + CH2O + HO2 + CH2O + MOH      ', &
      'PRN1 + MO2 --> NO2 + CH2O + ALD2 + RCHO + CH2O + MOH + RO&
      &H + HO2                                         ', &
      'EOH + OH --> HO2 + ALD2                                  &
      &                                                ', &
      'ROH + OH --> HO2 + RCHO                                  &
      &                                                ', &
      'ETO2 + ETO2 --> 2.000 ALD2 + 2.000 HO2                   &
      &                                                ', &
      'ETO2 + ETO2 --> EOH + ALD2                               &
      &                                                ', &
      'HO2 + ETO2 --> ETP                                       &
      &                                                ', &
      'A3O2 + HO2 --> RA3P                                      &
      &                                                ', &
      'PO2 + HO2 --> PP                                         &
      &                                                ', &
      'HO2 + MCO3 --> MAP + ACTA + O3 + OH + MO2                &
      &                                                ', &
      'RCO3 + HO2 --> RP + RCOOH + O3 + OH + ETO2               &
      &                                                ', &
      'MAO3 + HO2 --> OH + O3 + CH2O + MO2 + MAOP + CO          &
      &                                                ', &
      'PRPE + OH + hv --> PO2                                   &
      &                                                ', &
      'PRPE + O3 --> ALD2 + OH + HO2 + CO + CH2O + HCOOH + ACTA &
      &+ MOH                                           ', &
      'PMN + OH --> HAC + CO + NO2                              &
      &                                                ', &
      'PMN + O3 --> NO2 + CH2O + HO2                            &
      &                                                ', &
      'GLYC + OH --> CH2O + CO2 + CO + OH + HO2 + GLYX + HCOOH  &
      &                                                ', &
      'GLYC + OH --> HCOOH + OH + CO                            &
      &                                                ', &
      'PRPE + NO3 --> PRN1                                      &
      &                                                ', &
      'GLYX + OH --> HO2 + 2.000 CO                             &
      &                                                ', &
      'MGLY + OH --> MCO3 + CO                                  &
      &                                                ', &
      'GLYX + NO3 --> HNO3 + HO2 + 2.000 CO                     &
      &                                                ', &
      'MGLY + NO3 --> HNO3 + CO + MCO3                          &
      &                                                ', &
      'ISOP + OH --> RIO2 + LISOPOH                             &
      &                                                ', &
      'MVK + OH --> VRO2                                        &
      &                                                ', &
      'MACR + OH --> MAO3 + MRO2                                &
      &                                                ', &
      'HAC + OH --> MGLY + HO2                                  &
      &                                                ', &
      'HAC + OH --> HCOOH + OH + ACTA + CO2 + CO + MO2          &
      &                                                ', &
      'MCO3 + A3O2 --> MO2 + RCHO + HO2                         &
      &                                                ', &
      'MCO3 + PO2 --> MO2 + ALD2 + CH2O + HO2                   &
      &                                                ', &
      'MCO3 + A3O2 --> ACTA + RCHO                              &
      &                                                ', &
      'MCO3 + PO2 --> ACTA + RCHO + HAC                         &
      &                                                ', &
      'ISOP + O3 --> MVK + MACR + CH2O + H2O2 + CO + HCOOH + MCO&
      &3 + HO2 + OH + PRPE + MO2                       ', &
      'MVK + O3 --> OH + HO2 + HCOOH + CO + ALD2 + MGLY + CH2O  &
      &                                                ', &
      'MACR + O3 --> OH + HO2 + HCOOH + CO + MGLY + CH2O        &
      &                                                ', &
      'ISOP + NO3 --> INO2                                      &
      &                                                ', &
      'MACR + NO3 --> MAN2                                      &
      &                                                ', &
      'MACR + NO3 --> MAO3 + HNO3                               &
      &                                                ', &
      'RCO3 + MO2 --> CH2O + HO2 + ETO2                         &
      &                                                ', &
      'MAO3 + MO2 --> CH2O + HO2 + CH2O + MCO3                  &
      &                                                ', &
      'RCO3 + MO2 --> RCOOH + CH2O                              &
      &                                                ', &
      'MAO3 + MO2 --> RCOOH + CH2O                              &
      &                                                ', &
      'INPN + OH --> OH + NO2 + MEK                             &
      &                                                ', &
      'INPN + OH --> INO2 + R4N2 + OH                           &
      &                                                ', &
      'PRPN + OH --> PRN1 + OH + PROPNN                         &
      &                                                ', &
      'ETP + OH --> OH + ETO2 + ALD2                            &
      &                                                ', &
      'RA3P + OH --> OH + A3O2 + RCHO                           &
      &                                                ', &
      'RB3P + OH --> OH + B3O2 + ACET                           &
      &                                                ', &
      'R4P + OH --> OH + R4O2 + RCHO                            &
      &                                                ', &
      'RP + OH --> RCO3                                         &
      &                                                ', &
      'PP + OH --> OH + PO2 + HAC                               &
      &                                                ', &
      'RIP + OH --> RIO2 + OH + HC5                             &
      &                                                ', &
      'RIP + OH --> OH + IEPOX                                  &
      &                                                ', &
      'IEPOX + OH --> IEPOXOO                                   &
      &                                                ', &
      'IEPOXOO + HO2 --> HAC + GLYC + GLYX + MGLY + 1.125 OH + H&
      &O2 + CO2 + CH2O + HCOOH + CO                    ', &
      'IEPOXOO + NO --> HAC + GLYC + GLYX + MGLY + OH + HO2 + CO&
      &2 + CH2O + HCOOH + CO + NO2                     ', &
      'IAP + OH --> OH + DHMOB + HC5OO                          &
      &                                                ', &
      'VRP + OH --> OH + MEK + VRO2                             &
      &                                                ', &
      'MRP + OH --> MRO2                                        &
      &                                                ', &
      'MRP + OH --> CO2 + HAC + OH                              &
      &                                                ', &
      'MAOP + OH --> MAO3                                       &
      &                                                ', &
      'MAOP + OH --> MAOPO2                                     &
      &                                                ', &
      'MCO3 + MAOPO2 --> HAC + 2.000 CO2 + OH + MO2             &
      &                                                ', &
      'MCO3 + MAOPO2 --> ACTA + MEK                             &
      &                                                ', &
      'MAOPO2 + MO2 --> HAC + CO2 + OH + CH2O + HO2 + ROH       &
      &                                                ', &
      'MAOPO2 + MAOPO2 --> 2.000 HAC + 2.000 CO2 + 2.000 OH     &
      &                                                ', &
      'MAOPO2 + HO2 --> HAC + CO2 + 2.000 OH                    &
      &                                                ', &
      'MAOPO2 + NO --> HAC + CO2 + OH + NO2                     &
      &                                                ', &
      'MAOPO2 + NO --> HNO3                                     &
      &                                                ', &
      'OH + MAP --> MCO3                                        &
      &                                                ', &
      'C2H6 + NO3 --> ETO2 + HNO3                               &
      &                                                ', &
      'HC5 + O3 --> MGLY + OH + CH2O + GLYC + O3 + CO + H2 + HAC&
      & + HCOOH                                        ', &
      'MCO3 + MCO3 --> 2.000 MO2                                &
      &                                                ', &
      'MCO3 + MO2 --> CH2O + MO2 + HO2                          &
      &                                                ', &
      'MCO3 + MO2 --> ACTA + CH2O                               &
      &                                                ', &
      'R4O2 + MCO3 --> MO2 + ACET + MEK + HO2 + ALD2 + RCHO + A3&
      &O2 + B3O2 + ETO2                                ', &
      'ATO2 + MCO3 --> MO2 + MCO3 + CH2O                        &
      &                                                ', &
      'KO2 + MCO3 --> MO2 + ALD2 + MCO3                         &
      &                                                ', &
      'RIO2 + MCO3 --> HO2 + CH2O + MVK + MACR + HC5 + DIBOO + C&
      &O2 + MO2                                        ', &
      'HC5OO + MCO3 --> GLYX + MGLY + GLYC + HAC + DHMOB + MOBA &
      &+ RCHO + HO2 + CO + MO2                         ', &
      'VRO2 + MCO3 --> HO2 + CH2O + MCO3 + GLYC + MGLY + MO2    &
      &                                                ', &
      'MRO2 + MCO3 --> HO2 + MGLY + HAC + CO + CH2O + MO2       &
      &                                                ', &
      'B3O2 + MCO3 --> MO2 + HO2 + ACET                         &
      &                                                ', &
      'R4N1 + MCO3 --> MO2 + NO2 + CH2O + ALD2 + RCHO + R4O2    &
      &                                                ', &
      'MAN2 + MCO3 --> PROPNN + CO + HO2 + MGLY + CH2O + NO2 + C&
      &O2 + MO2                                        ', &
      'INO2 + MCO3 --> MO2 + ISN1 + HO2 + MVK + MACR + CH2O + NO&
      &2 + HC5                                         ', &
      'PRN1 + MCO3 --> MO2 + NO2 + CH2O + ALD2                  &
      &                                                ', &
      'R4O2 + MCO3 --> MEK + ACTA                               &
      &                                                ', &
      'ATO2 + MCO3 --> MEK + ACTA                               &
      &                                                ', &
      'KO2 + MCO3 --> MEK + ACTA                                &
      &                                                ', &
      'RIO2 + MCO3 --> MEK + ACTA                               &
      &                                                ', &
      'HC5OO + MCO3 --> MEK + ACTA                              &
      &                                                ', &
      'VRO2 + MCO3 --> MEK + ACTA                               &
      &                                                ', &
      'MRO2 + MCO3 --> MEK + ACTA                               &
      &                                                ', &
      'R4N1 + MCO3 --> RCHO + ACTA + NO2                        &
      &                                                ', &
      'MAN2 + MCO3 --> RCHO + ACTA + NO2                        &
      &                                                ', &
      'INO2 + MCO3 --> RCHO + ACTA + NO2                        &
      &                                                ', &
      'PRN1 + MCO3 --> RCHO + ACTA + NO2                        &
      &                                                ', &
      'B3O2 + MCO3 --> ACET + ACTA                              &
      &                                                ', &
      'MCO3 + ETO2 --> MO2 + ALD2 + HO2                         &
      &                                                ', &
      'MCO3 + ETO2 --> ACTA + ALD2                              &
      &                                                ', &
      'RCO3 + MCO3 --> MO2 + ETO2                               &
      &                                                ', &
      'MAO3 + MCO3 --> MO2 + CH2O + MCO3                        &
      &                                                ', &
      'NO3 + NO3 --> 2.000 NO2 + O2                             &
      &                                                ', &
      'MO2 + NO2 + hv --> MPN + hv                              &
      &                                                ', &
      'MPN + hv --> MO2 + NO2                                   &
      &                                                ', &
      'EMISSION --> NO                                          &
      &                                                ', &
      'EMISSION --> NO2                                         &
      &                                                ', &
      'EMISSION --> CO                                          &
      &                                                ', &
      'EMISSION --> ALK4                                        &
      &                                                ', &
      'EMISSION --> ISOP                                        &
      &                                                ', &
      'EMISSION --> ACET                                        &
      &                                                ', &
      'EMISSION --> PRPE                                        &
      &                                                ', &
      'EMISSION --> C3H8                                        &
      &                                                ', &
      'EMISSION --> C2H6                                        &
      &                                                ', &
      'EMISSION --> MEK                                         &
      &                                                ', &
      'EMISSION --> ALD2                                        &
      &                                                ', &
      'EMISSION --> CH2O                                        &
      &                                                ', &
      'EMISSION --> O3                                          &
      &                                                ', &
      'EMISSION --> HNO3                                        &
      &                                                ', &
      'EMISSION --> CHBr3                                       &
      &                                                ', &
      'EMISSION --> CH2Br2                                      &
      &                                                ', &
      'EMISSION --> Br2                                         &
      &                                                ', &
      'EMISSION --> CH4                                         &
      &                                                ', &
      'ACET --> DRYDEP + DRYACET                                &
      &                                                ', &
      'NO2 --> DRYDEP + DRYNO2                                  &
      &                                                ', &
      'PMNN --> DRYDEP + DRYPMNN                                &
      &                                                ', &
      'O3 --> DRYDEP + DRYO3                                    &
      &                                                ', &
      'PAN --> DRYDEP + DRYPAN                                  &
      &                                                ', &
      'HNO3 --> DRYDEP + DRYHNO3                                &
      &                                                ', &
      'CH2O --> DRYDEP + DRYCH2O                                &
      &                                                ', &
      'N2O5 --> DRYDEP + DRYN2O5                                &
      &                                                ', &
      'H2O2 --> DRYDEP + DRYH2O2                                &
      &                                                ', &
      'PMN --> DRYDEP + DRYPMN                                  &
      &                                                ', &
      'PPN --> DRYDEP + DRYPPN                                  &
      &                                                ', &
      'R4N2 --> DRYDEP + DRYR4N2                                &
      &                                                ', &
      'MVK --> DRYDEP + DRYMVK                                  &
      &                                                ', &
      'MACR --> DRYDEP + DRYMACR                                &
      &                                                ', &
      'HAC --> DRYDEP + DRYHAC                                  &
      &                                                ', &
      'ALD2 --> DRYDEP + DRYALD2                                &
      &                                                ', &
      'IEPOX --> DRYDEP + DRYIEPOX                              &
      &                                                ', &
      'RIP --> DRYDEP + DRYRIP                                  &
      &                                                ', &
      'ISOPND --> DRYDEP + DRYISOPND                            &
      &                                                ', &
      'ISOPNB --> DRYDEP + DRYISOPNB                            &
      &                                                ', &
      'ISOPNB + O3 --> MVKN + MACRN + OH + CH2O                 &
      &                                                ', &
      'ISOPND + O3 --> PROPNN + ETHLN + OH + GLYC + HAC         &
      &                                                ', &
      'PROPNN --> DRYDEP + DRYPROPNN                            &
      &                                                ', &
      'MACRN --> DRYDEP + DRYMACRN                              &
      &                                                ', &
      'MVKN --> DRYDEP + DRYMVKN                                &
      &                                                ', &
      'HCOOH --> DRYDEP + DRYHCOOH                              &
      &                                                ', &
      'ACTA --> DRYDEP + DRYACTA                                &
      &                                                ', &
      'HO2 --> KPP_DUMMY                                        &
      &                                                ', &
      'NO2 --> HNO3 + HNO2                                      &
      &                                                ', &
      'NO3 --> HNO3                                             &
      &                                                ', &
      'N2O5 + H2O --> 2.000 HNO3                                &
      &                                                ', &
      'DMS + OH --> SO2 + MO2 + CH2O                            &
      &                                                ', &
      'DMS + OH --> SO2 + MSA + MO2                             &
      &                                                ', &
      'DMS + NO3 --> SO2 + HNO3 + MO2 + CH2O                    &
      &                                                ', &
      'SO2 + OH + hv --> SO4 + HO2                              &
      &                                                ', &
      'Br + O3 --> BrO + O2                                     &
      &                                                ', &
      'BrO + HO2 --> HOBr + O2                                  &
      &                                                ', &
      'Br + HO2 --> HBr + O2                                    &
      &                                                ', &
      'HBr + OH --> Br + H2O                                    &
      &                                                ', &
      'BrO + BrO --> 2.000 Br + O2                              &
      &                                                ', &
      'BrO + BrO --> Br2 + O2                                   &
      &                                                ', &
      'BrO + NO --> Br + NO2                                    &
      &                                                ', &
      'Br + BrNO3 --> Br2 + NO3                                 &
      &                                                ', &
      'Br2 + OH --> HOBr + Br                                   &
      &                                                ', &
      'HOBr + O --> OH + BrO                                    &
      &                                                ', &
      'HBr + O --> OH + Br                                      &
      &                                                ', &
      'BrO + OH --> Br + HO2                                    &
      &                                                ', &
      'Br + NO3 --> BrO + NO2                                   &
      &                                                ', &
      'Br + CH2O --> HBr + HO2 + CO                             &
      &                                                ', &
      'Br + ALD2 --> HBr + MCO3 + CO                            &
      &                                                ', &
      'Br + ACET --> HBr + ATO2 + CO                            &
      &                                                ', &
      'Br + C2H6 --> HBr + ETO2 + CO                            &
      &                                                ', &
      'Br + C3H8 --> HBr + A3O2 + CO                            &
      &                                                ', &
      'Br + NO2 + hv --> BrNO2 + hv                             &
      &                                                ', &
      'BrO + NO2 + hv --> BrNO3 + hv                            &
      &                                                ', &
      'CHBr3 + OH --> 3.000 Br                                  &
      &                                                ', &
      'CH2Br2 + OH --> 2.000 Br                                 &
      &                                                ', &
      'CH3Br + OH --> Br + H2O + HO2                            &
      &                                                ', &
      'BrNO3 + H2O --> HOBr + HNO3                              &
      &                                                ', &
      'HOBr --> Br2 + H2O                                       &
      &                                                ', &
      'HBr --> Br2                                              &
      &                                                ', &
      'HOBr --> Br2 + H2O                                       &
      &                                                ', &
      'HBr --> Br2                                              &
      &                                                ', &
      'HOBr --> DRYDEP + DRYHOBr                                &
      &                                                ', &
      'HBr --> DRYDEP + DRYHBr                                  &
      &                                                ', &
      'BrNO3 --> DRYDEP + DRYBrNO3                              &
      &                                                ', &
      'Br2 --> DRYDEP + DRYBr2                                  &
      &                                                ', &
      'HC5 + OH --> HC5OO                                       &
      &                                                ', &
      'HC5OO + NO --> NO2 + GLYX + MGLY + GLYC + HAC + DHMOB + M&
      &OBA + RCHO + HO2 + CO                           ', &
      'HC5OO + NO --> HNO3                                      &
      &                                                ', &
      'HC5OO + HO2 --> IAP + OH + MGLY + GLYC + HO2             &
      &                                                ', &
      'ISOPND + OH --> ISOPNDO2                                 &
      &                                                ', &
      'ISOPNB + OH --> ISOPNBO2                                 &
      &                                                ', &
      'ISOPNDO2 + NO --> MACRN + HCOOH + HAC + ETHLN + CH2O + 1.&
      &340 NO2 + GLYC + NO3 + PROPNN + MEK + HO2       ', &
      'ISOPNDO2 + NO --> HNO3                                   &
      &                                                ', &
      'ISOPNDO2 + HO2 --> MACRN + HCOOH + HAC + ETHLN + CH2O + N&
      &O2 + GLYC + NO3 + PROPNN + MEK + HO2 + OH + ISNP', &
      'ISOPNBO2 + NO --> GLYC + HAC + CH2O + MACRN + HO2 + MVKN &
      &+ 1.600 NO2                                     ', &
      'ISOPNBO2 + NO --> HNO3                                   &
      &                                                ', &
      'ISOPNBO2 + HO2 --> GLYC + HAC + CH2O + MACRN + MVKN + NO2&
      & + HO2 + OH + ISNP                              ', &
      'ISNP + OH --> OH + R4N1 + ISOPNBO2 + ISOPNDO2            &
      &                                                ', &
      'MVKN + OH --> HCOOH + NO3 + MGLY + CH2O + PYAC           &
      &                                                ', &
      'MACRN + OH --> MACRNO2                                   &
      &                                                ', &
      'MACRNO2 + NO --> ACTA + CH2O + NO3 + HCOOH + MGLY + HAC +&
      & NO2 + CO2 + NO2                                ', &
      'MACRNO2 + HO2 --> ACTA + CH2O + NO3 + HCOOH + MGLY + HAC &
      &+ NO2 + CO2 + OH                                ', &
      'MACRNO2 + NO2 + hv --> PMNN                              &
      &                                                ', &
      'PMNN --> MACRNO2 + NO2                                   &
      &                                                ', &
      'DHMOB + OH --> 1.500 CO + HO2 + HAC + MEK                &
      &                                                ', &
      'DIBOO + NO --> HO2 + NO2 + GLYC + MGLY + HAC + GLYX      &
      &                                                ', &
      'DIBOO + NO --> HNO3                                      &
      &                                                ', &
      'DIBOO + HO2 --> HO2 + OH + GLYC + MGLY + HAC + GLYX + R4P&
      &                                                ', &
      'MOBA + OH --> MOBAOO                                     &
      &                                                ', &
      'MOBAOO + NO --> RCHO + CO2 + HO2 + NO2                   &
      &                                                ', &
      'MOBAOO + NO --> HNO3                                     &
      &                                                ', &
      'MOBAOO + HO2 --> OH + HO2 + RCHO + CO2 + R4P             &
      &                                                ', &
      'MOBA + O3 --> OH + HO2 + CO2 + MEK                       &
      &                                                ', &
      'ETHLN + OH --> CH2O + CO2 + NO2                          &
      &                                                ', &
      'PROPNN + OH --> NO2 + MGLY                               &
      &                                                ', &
      'O1D + H2O --> 2.000 OH                                   &
      &                                                ', &
      'O1D + N2 --> O + N2                                      &
      &                                                ', &
      'O1D + O2 --> O + O2                                      &
      &                                                ', &
      'O1D + H2 --> H + OH                                      &
      &                                                ', &
      'O1D + N2O --> N2 + O2                                    &
      &                                                ', &
      'O1D + N2O --> 2.000 NO                                   &
      &                                                ', &
      'O1D + CH4 --> MO2 + OH                                   &
      &                                                ', &
      'O1D + CH4 --> CH2O + H2                                  &
      &                                                ', &
      'O1D + CH4 --> CH2O + H + HO2                             &
      &                                                ', &
      'O + O2 + hv --> O3 + hv                                  &
      &                                                ', &
      'O + O3 --> 2.000 O2                                      &
      &                                                ', &
      'OH + H2 --> H2O + H                                      &
      &                                                ', &
      'O + OH --> O2 + H                                        &
      &                                                ', &
      'HO2 + O --> OH + O2                                      &
      &                                                ', &
      'O1D + O3 --> 2.000 O2                                    &
      &                                                ', &
      'O1D + O3 --> 2.000 O + O2                                &
      &                                                ', &
      'OCS + O --> CO + SO2                                     &
      &                                                ', &
      'OCS + OH --> CO2 + SO2                                   &
      &                                                ', &
      'NO2 + O --> NO + O2                                      &
      &                                                ', &
      'NO3 + O --> NO2 + O2                                     &
      &                                                ', &
      'NO + O + hv --> NO2 + hv                                 &
      &                                                ', &
      'NO2 + O + hv --> NO3 + hv                                &
      &                                                ', &
      'H2O2 + O --> OH + HO2                                    &
      &                                                ', &
      'H + O2 + hv --> HO2 + hv                                 &
      &                                                ', &
      'H + O3 --> OH + O2                                       &
      &                                                ', &
      'H + HO2 --> 2.000 OH                                     &
      &                                                ', &
      'H + HO2 --> O + H2O                                      &
      &                                                ', &
      'H + HO2 --> H2 + O2                                      &
      &                                                ', &
      'N + O2 --> NO + O                                        &
      &                                                ', &
      'N + NO --> N2 + O                                        &
      &                                                ', &
      'N + NO2 --> N2O + O                                      &
      &                                                ', &
      'BrO + O --> Br + O2                                      &
      &                                                ', &
      'CH2O + O --> CO + HO2 + OH                               &
      &                                                ', &
      'O1D + HCl --> O + HCl + H + Cl + ClO + OH                &
      &                                                ', &
      'O1D + HBr --> O + HBr + BrO + OH + H + Br                &
      &                                                ', &
      'O1D + Cl2 --> O + Cl2 + Cl + ClO                         &
      &                                                ', &
      'O1D + CCl4 --> O + CCl4 + ClO + 2.580 Cl                 &
      &                                                ', &
      'O1D + CH3Br --> BrO + MO2 + Br                           &
      &                                                ', &
      'O1D + CH2Br2 --> O + CH2Br2 + BrO + Br                   &
      &                                                ', &
      'O1D + CHBr3 --> O + CHBr3 + BrO + 1.360 Br               &
      &                                                ', &
      'O1D + HCFC22 --> O + HCFC22 + ClO + Cl                   &
      &                                                ', &
      'O1D + CFC11 --> O + CFC11 + ClO + 1.760 Cl               &
      &                                                ', &
      'O1D + CFC12 --> O + CFC12 + ClO + 1.720 Cl               &
      &                                                ', &
      'O1D + H1211 --> O + H1211 + BrO + Cl + Br + ClO          &
      &                                                ', &
      'O1D + H1301 --> O + H1301 + BrO                          &
      &                                                ', &
      'O1D + HCFC141b --> O + HCFC141b + ClO + Cl               &
      &                                                ', &
      'O1D + HCFC142b --> O + HCFC142b + ClO                    &
      &                                                ', &
      'O1D + HCFC123 --> O + HCFC123 + Cl + ClO                 &
      &                                                ', &
      'O1D + CFC113 --> O + CFC113 + 1.500 Cl + ClO             &
      &                                                ', &
      'O1D + CFC114 --> O + CFC114 + Cl + ClO                   &
      &                                                ', &
      'O1D + CFC115 --> O + CFC115 + ClO                        &
      &                                                ', &
      'O1D + H2402 --> O + H2402 + Br + BrO                     &
      &                                                ', &
      'OH + Cl2 --> HOCl + Cl                                   &
      &                                                ', &
      'MO2 + ClO --> ClOO + HO2 + CH2O                          &
      &                                                ', &
      'OH + ClO --> HO2 + Cl                                    &
      &                                                ', &
      'OH + ClO --> HCl + O2                                    &
      &                                                ', &
      'OH + OClO --> HOCl + O2                                  &
      &                                                ', &
      'OH + Cl2O2 --> HOCl + ClOO                               &
      &                                                ', &
      'OH + HCl --> H2O + Cl                                    &
      &                                                ', &
      'OH + HOCl --> H2O + ClO                                  &
      &                                                ', &
      'OH + ClNO2 --> HOCl + NO2                                &
      &                                                ', &
      'OH + ClNO3 --> HOCl + NO3                                &
      &                                                ', &
      'OH + CH3Cl --> Cl + HO2 + H2O                            &
      &                                                ', &
      'OH + CH3CCl3 --> 3.000 Cl + H2O                          &
      &                                                ', &
      'OH + HCFC22 --> Cl + H2O                                 &
      &                                                ', &
      'OH + HCFC141b --> 2.000 Cl + H2O                         &
      &                                                ', &
      'OH + HCFC142b --> Cl + H2O                               &
      &                                                ', &
      'OH + HCFC123 --> 2.000 Cl + H2O                          &
      &                                                ', &
      'CH4 + Cl --> HCl + MO2                                   &
      &                                                ', &
      'CH2O + Cl --> CO + HCl + HO2                             &
      &                                                ', &
      'Cl + O3 --> ClO + O2                                     &
      &                                                ', &
      'Cl + H2 --> H + HCl                                      &
      &                                                ', &
      'Cl + H2O2 --> HO2 + HCl                                  &
      &                                                ', &
      'Cl + HO2 --> O2 + HCl                                    &
      &                                                ', &
      'Cl + HO2 --> OH + ClO                                    &
      &                                                ', &
      'ClO + O --> Cl + O2                                      &
      &                                                ', &
      'ClO + HO2 --> O2 + HOCl                                  &
      &                                                ', &
      'ClO + NO --> Cl + NO2                                    &
      &                                                ', &
      'ClO + NO2 + hv --> ClNO3 + hv                            &
      &                                                ', &
      'ClO + ClO --> Cl2 + O2                                   &
      &                                                ', &
      'ClO + ClO --> Cl + ClOO                                  &
      &                                                ', &
      'ClO + ClO --> OClO + Cl                                  &
      &                                                ', &
      'Cl + O2 + hv --> ClOO + hv                               &
      &                                                ', &
      'ClOO + hv --> Cl + O2 + hv                               &
      &                                                ', &
      'ClO + ClO + hv --> Cl2O2 + hv                            &
      &                                                ', &
      'Cl2O2 + hv --> 2.000 ClO + hv                            &
      &                                                ', &
      'ClOO + Cl --> Cl2 + O2                                   &
      &                                                ', &
      'ClOO + Cl --> 2.000 ClO                                  &
      &                                                ', &
      'ClO + BrO --> Br + OClO                                  &
      &                                                ', &
      'ClO + BrO --> Br + ClOO                                  &
      &                                                ', &
      'ClO + BrO --> BrCl + O2                                  &
      &                                                ', &
      'ClNO3 + O --> ClO + NO3                                  &
      &                                                ', &
      'ClNO3 + Cl --> Cl2 + NO3                                 &
      &                                                ', &
      'CH3Cl + Cl --> CO + 2.000 HCl + HO2                      &
      &                                                ', &
      'HCl --> DRYDEP + DRYHCl                                  &
      &                                                ', &
      'N2O5 + HCl --> ClNO2 + HNO3                              &
      &                                                ', &
      'ClNO3 + H2O --> HOCl + HNO3                              &
      &                                                ', &
      'ClNO3 + HCl --> Cl2 + HNO3                               &
      &                                                ', &
      'ClNO3 + HBr --> BrCl + HNO3                              &
      &                                                ', &
      'BrNO3 + HCl --> BrCl + HNO3                              &
      &                                                ', &
      'HOCl + HCl --> Cl2 + H2O                                 &
      &                                                ', &
      'HOCl + HBr --> BrCl + H2O                                &
      &                                                ', &
      'HOBr + HCl --> BrCl + H2O                                &
      &                                                ', &
      'O3 --> O + O2                                            &
      &                                                ', &
      'O3 --> O1D + O2                                          &
      &                                                ', &
      'O2 --> 2.000 O                                           &
      &                                                ', &
      'NO2 --> NO + O                                           &
      &                                                ', &
      'H2O2 --> OH + OH                                         &
      &                                                ', &
      'MP --> CH2O + HO2 + OH                                   &
      &                                                ', &
      'CH2O --> HO2 + H + CO                                    &
      &                                                ', &
      'CH2O --> H2 + CO                                         &
      &                                                ', &
      'HNO3 --> OH + NO2                                        &
      &                                                ', &
      'HNO2 --> OH + NO                                         &
      &                                                ', &
      'HNO4 --> OH + NO3                                        &
      &                                                ', &
      'HNO4 --> HO2 + NO2                                       &
      &                                                ', &
      'NO3 --> NO2 + O                                          &
      &                                                ', &
      'NO3 --> NO + O2                                          &
      &                                                ', &
      'N2O5 --> NO3 + NO2                                       &
      &                                                ', &
      'ALD2 --> MO2 + HO2 + CO                                  &
      &                                                ', &
      'ALD2 --> CH4 + CO                                        &
      &                                                ', &
      'PAN --> MCO3 + NO2 + MO2 + NO3                           &
      &                                                ', &
      'RCHO --> ETO2 + HO2 + CO                                 &
      &                                                ', &
      'ACET --> MCO3 + MO2                                      &
      &                                                ', &
      'ACET --> 2.000 MO2 + CO                                  &
      &                                                ', &
      'MEK --> MCO3 + ETO2 + MO2 + RCO3                         &
      &                                                ', &
      'GLYC --> CH2O + 1.730 HO2 + CO + OH + MOH                &
      &                                                ', &
      'GLYX --> 2.000 HO2 + 2.000 CO                            &
      &                                                ', &
      'GLYX --> H2 + 2.000 CO                                   &
      &                                                ', &
      'GLYX --> CH2O + CO                                       &
      &                                                ', &
      'MGLY --> MCO3 + CO + HO2                                 &
      &                                                ', &
      'MVK --> PRPE + CO                                        &
      &                                                ', &
      'MVK --> MCO3 + CH2O + CO + HO2                           &
      &                                                ', &
      'MVK --> MO2 + RCO3                                       &
      &                                                ', &
      'MACR --> CO + HO2 + CH2O + MCO3                          &
      &                                                ', &
      'HAC --> MCO3 + CH2O + HO2                                &
      &                                                ', &
      'INPN --> OH + HO2 + RCHO + NO2                           &
      &                                                ', &
      'PRPN --> OH + HO2 + RCHO + NO2                           &
      &                                                ', &
      'ETP --> OH + HO2 + ALD2                                  &
      &                                                ', &
      'RA3P --> OH + HO2 + RCHO                                 &
      &                                                ', &
      'RB3P --> OH + HO2 + ACET                                 &
      &                                                ', &
      'R4P --> OH + HO2 + RCHO                                  &
      &                                                ', &
      'PP --> OH + HO2 + ALD2 + CH2O                            &
      &                                                ', &
      'RP --> OH + HO2 + ALD2                                   &
      &                                                ', &
      'RIP --> OH + HO2 + CH2O + MVK + MACR + HC5               &
      &                                                ', &
      'IAP --> OH + HO2 + CO + H2 + HAC + GLYC + MGLY           &
      &                                                ', &
      'ISNP --> OH + HO2 + RCHO + NO2                           &
      &                                                ', &
      'VRP --> OH + HO2 + CH2O + MCO3 + GLYC + MGLY             &
      &                                                ', &
      'MRP --> OH + HO2 + HAC + CO + CH2O                       &
      &                                                ', &
      'MAOP --> OH + CH2O + MCO3                                &
      &                                                ', &
      'R4N2 --> NO2 + ACET + MEK + MO2 + HO2 + ALD2 + RCHO + A3O&
      &2 + B3O2 + ETO2                                 ', &
      'MAP --> OH + MO2                                         &
      &                                                ', &
      'MACRN --> NO2 + HAC + MGLY + CH2O + HO2 + CO             &
      &                                                ', &
      'MVKN --> GLYC + NO2 + MCO3                               &
      &                                                ', &
      'ISOPNB --> HC5 + NO2 + HO2                               &
      &                                                ', &
      'Br2 --> 2.000 Br                                         &
      &                                                ', &
      'BrO --> Br + O                                           &
      &                                                ', &
      'HOBr --> Br + OH                                         &
      &                                                ', &
      'BrNO3 --> Br + NO3                                       &
      &                                                ', &
      'BrNO3 --> BrO + NO2                                      &
      &                                                ', &
      'BrNO2 --> Br + NO2                                       &
      &                                                ', &
      'CHBr3 --> 3.000 Br                                       &
      &                                                ', &
      'MPN --> CH2O + NO3 + HO2                                 &
      &                                                ', &
      'MPN --> MO2 + NO2                                        &
      &                                                ', &
      'ISOPND --> HC5 + NO2 + HO2                               &
      &                                                ', &
      'PROPNN --> CH2O + NO2 + CO + MO2                         &
      &                                                ', &
      'ATOOH --> OH + CH2O + MCO3                               &
      &                                                ', &
      'N2O --> N2 + O1D                                         &
      &                                                ', &
      'OCS --> SO2 + CO                                         &
      &                                                ', &
      'SO4 --> SO2 + 2.000 OH                                   &
      &                                                ', &
      'NO --> O + N                                             &
      &                                                ', &
      'CH3Br --> MO2 + Br                                       &
      &                                                ', &
      'BrCl --> Br + Cl                                         &
      &                                                ', &
      'Cl2 --> 2.000 Cl                                         &
      &                                                ', &
      'ClO --> Cl + O                                           &
      &                                                ', &
      'OClO --> ClO + O                                         &
      &                                                ', &
      'Cl2O2 --> Cl + ClOO                                      &
      &                                                ', &
      'ClNO2 --> Cl + NO2                                       &
      &                                                ', &
      'ClNO3 --> Cl + NO3                                       &
      &                                                ', &
      'ClNO3 --> ClO + NO2                                      &
      &                                                ', &
      'HOCl --> Cl + OH                                         &
      &                                                ', &
      'CH3Cl --> MO2 + Cl                                       &
      &                                                ', &
      'CH3CCl3 --> 3.000 Cl                                     &
      &                                                ', &
      'CCl4 --> 4.000 Cl                                        &
      &                                                ', &
      'CFC11 --> 3.000 Cl                                       &
      &                                                ', &
      'CFC12 --> 2.000 Cl                                       &
      &                                                ', &
      'CFC113 --> 3.000 Cl                                      &
      &                                                ', &
      'CFC114 --> 2.000 Cl                                      &
      &                                                ', &
      'CFC115 --> Cl                                            &
      &                                                ', &
      'HCFC123 --> 2.000 Cl                                     &
      &                                                ', &
      'HCFC141b --> 2.000 Cl                                    &
      &                                                ', &
      'HCFC142b --> 2.000 Cl                                    &
      &                                                ', &
      'HCFC22 --> 2.000 Cl                                      &
      &                                                ', &
      'H1301 --> Br                                             &
      &                                                ', &
      'H1211 --> Cl + Br                                        &
      &                                                ', &
      'H2402 --> 2.000 Br                                       &
      &                                                ', &
      'CH2Br2 --> 2.000 Br                                      &
      &                                                ', &
      'ClOO --> Cl + O2                                         &
      &                                                '  /)


END MODULE globchem_monitor
!------------------------ END globchem_monitor.f90 END -----------------------
