/*----------------------- BEGIN globchem_rates.cu BEGIN -----------------------*/
/* @file globchem_rates.cu                                                     */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:01.822417                                            */
/* @brief Reaction rate calculation and utility functions                      */
/*                                                                             */
/* Reaction rate calculation and utility functions                             */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include "globchem_cu_parameters.h"
#include "globchem_rates.h"



/*---------------------------------- d_Rates ----------------------------------*/
/* CUDA kernel for Rates                                                       */
/*                                                                             */
/* @param[in]     ncells32 A multiple of 32 grid cells                         */
/* @param[in]     time     Integration time                                    */
/* @param[in]     idx      Current grid cell index                             */
/* @param[out]    rct      Reaction rates                                      */
/*-----------------------------------------------------------------------------*/
__global__
void d_Rates(size_t const ncells32, double const time, size_t const idx,
    double* rct)
{

}/* END d_Rates */


/*----------------------------------- Rates -----------------------------------*/
/* Calculates reaction rate coefficients                                       */
/*                                                                             */
/* @param[in]     ncells32 A multiple of 32 grid cells                         */
/* @param[in]     time     Integration time                                    */
/* @param[in]     idx      Current grid cell index                             */
/* @param[out]    d_rct    Reaction rates in device memory                     */
/*-----------------------------------------------------------------------------*/
void Rates(size_t const ncells32, double const time, size_t const idx,
    double* d_rct)
{
    size_t nBlocks = ((ncells32 + 127) & ~127) >> 7;
    size_t nThreads = 128;
    d_Rates<<<nBlocks, nThreads>>>(ncells32, time, idx, d_rct);
}/* END Rates */


/*-------------------------- END globchem_rates.h END -------------------------*/
