/*------------------------ BEGIN globchem_rates.h BEGIN -----------------------*/
/* @file globchem_rates.h                                                      */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:01.933046                                            */
/* @brief Reaction rate calculation and utility functions                      */
/*                                                                             */
/* Reaction rate calculation and utility functions                             */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_RATES_H__
#define __GLOBCHEM_RATES_H__



#ifdef __cplusplus
extern "C" {
#endif


/*----------------------------------- Rates -----------------------------------*/
/* Calculates reaction rate coefficients                                       */
/*                                                                             */
/* @param[in]     ncells32 A multiple of 32 grid cells                         */
/* @param[in]     time     Integration time                                    */
/* @param[in]     idx      Current grid cell index                             */
/* @param[out]    d_rct    Reaction rates in device memory                     */
/*-----------------------------------------------------------------------------*/
void Rates(size_t const ncells32, double const time, size_t const idx,
    double* d_rct);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_RATES_H__ */
/*-------------------------- END globchem_rates.h END -------------------------*/
