/*------------------------ BEGIN globchem_solve.h BEGIN -----------------------*/
/* @file globchem_solve.h                                                      */
/* @author jlinford                                                            */
/* @date 2014-09-24 15:52:02.033556                                            */
/* @brief Solve Ax=b by forward-backward substitution                          */
/*                                                                             */
/* Solve Ax=b by forward-backward substitution                                 */
/*                                                                             */
/* This file was generated by Kppa: http://www.paratools.com/Kppa              */
/*-----------------------------------------------------------------------------*/

#ifndef __GLOBCHEM_SOLVE_H__
#define __GLOBCHEM_SOLVE_H__



#ifdef __cplusplus
extern "C" {
#endif


/*----------------------------------- Solve -----------------------------------*/
/* Solve Ax=b in place by back substitution                                    */
/*                                                                             */
/* @param[in]     ncells32 A multiple of 32 grid cells                         */
/* @param[in]     d_A      Row-compressed matrix with zero fill in device memory */
/* @param[in,out] d_x      Input and solution vector in device memory          */
/*-----------------------------------------------------------------------------*/
void Solve(size_t const ncells32, double const * d_A, double* d_x);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __GLOBCHEM_SOLVE_H__ */
/*-------------------------- END globchem_solve.h END -------------------------*/
